using System;
using System.Collections.Generic;

namespace Net.SuddenElfilio.RilSharp
{
    public interface IRilClient
    {
        Credentials RilCredentials { get; set; }
        Limits ApiLimits { get; }
        bool RegisterClient();
        bool Authenticate();
        Limits ApiStatistics();
        bool Add(string url, string title, bool autoTitle);
        Statistics Stats();
        RilList Get(ReadState state, DateTime? since, int? count, int? page, bool myAppOnly, bool tags);
        bool Send(SendType type, List<RilListItem> items);
    }
}